> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Tx Ops Execute Ready Routes

> Name and signature indicate it changes tx ops execute ready routes

Not available to API keys yet. It will need `payments:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /stablecoin-payroll/tx-ops-execute-ready-routes
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/tx-ops-execute-ready-routes:
    post:
      operationId: txOpsExecuteReadyRoutes
      summary: Tx Ops Execute Ready Routes
      description: |-
        Name and signature indicate it changes tx ops execute ready routes

        Not available to API keys yet. It will need `payments:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TxOpsExecuteReadyRoutesRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TxOpsExecuteReadyRoutesResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    TxOpsExecuteReadyRoutesRequest:
      type: object
      properties:
        batchID:
          type: string
          format: uuid
        groupKeys:
          type: array
          items:
            type: string
            minLength: 1
          minItems: 1
          maxItems: 650
        payBeforeRelease:
          type: boolean
      required:
        - batchID
        - groupKeys
    TxOpsExecuteReadyRoutesResponse:
      type: object
      properties:
        started:
          type: array
          items:
            type: object
            properties:
              groupKey:
                type: string
              attemptID:
                type: string
              attemptNumber:
                type: integer
              provider:
                type: string
              status:
                type: string
              transactionCount:
                type: integer
              transactions:
                type: array
                items:
                  type: object
                  properties:
                    transactionID:
                      type: string
                    status:
                      type: string
                    providerTransactionID:
                      type:
                        - string
                        - 'null'
                    errorCode:
                      type:
                        - string
                        - 'null'
                    errorMessage:
                      type:
                        - string
                        - 'null'
                    errorStage:
                      type:
                        - string
                        - 'null'
                    isRetryable:
                      type: boolean
                  required:
                    - transactionID
                    - status
                    - providerTransactionID
                    - errorCode
                    - errorMessage
                    - errorStage
                    - isRetryable
            required:
              - groupKey
              - attemptID
              - attemptNumber
              - provider
              - status
              - transactionCount
              - transactions
        skipped:
          type: array
          items:
            type: object
            properties:
              groupKey:
                type: string
              reasons:
                type: array
                items:
                  type: string
            required:
              - groupKey
              - reasons
        failedToStart:
          type: array
          items:
            type: object
            properties:
              groupKey:
                type: string
              errorCode:
                type: string
              errorMessage:
                type: string
            required:
              - groupKey
              - errorCode
              - errorMessage
      required:
        - started
        - skipped
        - failedToStart
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
